%define upstream_name    Catalyst-Plugin-Cache-FastMmap
%define upstream_version 0.9

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Mmap cache for Catalyst applications
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%upstream_name/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FastMmap)
BuildRequires: perl(Catalyst::Runtime) >= 5.700.600
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(MRO::Compat)
BuildArch:  noarch

%description
This package is part of the Catalyst Cache family. It allows
integration of Cache::FastMmap and Catalyst.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README
%perl_vendorlib/Catalyst
%_mandir/*/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.900.0-3.mga4
+ Revision: 509754
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.900.0-2.mga3
+ Revision: 363979
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 0.900.0-1.mga3
+ Revision: 326430
- adding missing buildrequires:

* Thu Mar 24 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 76848
- update to 0.9

* Wed Jan 26 2011 jquelin <jquelin> 0.800.0-1.mga1
+ Revision: 40262
- mageia rebuild
- imported package perl-Catalyst-Plugin-Cache-FastMmap

